import Vue from 'vue';

async function getGenreList() {
    return Vue.axios.get("/creator-admin/audio-content/series/genre");
}

async function getSeriesList(page) {
    return Vue.axios.get("/creator-admin/audio-content/series?page=" + (page - 1) + "&size=10");
}

async function createSeries(formData) {
    return Vue.axios.post("/creator-admin/audio-content/series", formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function modifySeries(formData) {
    return Vue.axios.put("/creator-admin/audio-content/series", formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function getSeriesDetail(seriesId) {
    return Vue.axios.get("/creator-admin/audio-content/series/" + seriesId);
}

async function getSeriesContent(seriesId, page) {
    return Vue.axios.get(
        "/creator-admin/audio-content/series/" + seriesId + "/content?page=" + (page - 1) + "&size=10"
    );
}

async function addingContentToTheSeries(seriesId, contentIdList) {
    return Vue.axios.post(
        "/creator-admin/audio-content/series/add/content",
        {seriesId: seriesId, contentIdList: contentIdList}
    )
}

async function removeContentInTheSeries(seriesId, contentId) {
    return Vue.axios.post(
        "/creator-admin/audio-content/series/remove/content",
        {seriesId: seriesId, contentId: contentId}
    )
}

export {
    getGenreList,
    getSeriesList,
    createSeries,
    modifySeries,
    getSeriesDetail,
    getSeriesContent,
    addingContentToTheSeries,
    removeContentInTheSeries
}
